LIVE-HELPER(7)

NAME
live-helper - Debian Live Helper-Programme

SYNTAX
lh_* [live-helper Optionen]

BESCHREIBUNG
Live-helper ist eine Sammlung von programmen die dazu benutzt werden können, Debian Live Systeme zu erstellen. Die Philosophie hinter live-helper ist eine kleine Sammlung von kleinen, kurzen und einfach zu verstehenden Werkzeugen zur verfügung zu stellen, welche auch in anderen Programmen benutzt werden können um automatisch Live-Systeme erstellen.

Ein typisches Programm das live-helper benutzt wird verschiedene live-helper Kommandos nacheinander aufrufen. Live-helper Kommandos haben alle einen "lh_"-Präfix im Namen.

LIVE-HELPER KOMMANDOS
Hier ist eine vollständige Liste aller verfügbaren live-helper Kommandos. Siehe deren Hilfeseiten für zusätzliche Dokumentation.

lh_binary(1)
    Meta-Helper für lh_binary_*

lh_binary_chroot(1)
    kopiert chroot in chroot.

lh_binary_debian-installer(1)
    kopiert debian-installer in das Binary-Image.

lh_binary_encryption(1)
    verschlüsselt das Root-Dateisystem.

lh_binary_grub(1)
    kopiert grub in das Binary-Image.

lh_binary_tar(1)
    erstellt den Festplatten Binary-Tarball.

lh_binary_includes(1)
    kopiert Dateien in das Binary-Image.

lh_binary_iso(1)
    erstell das CD/DVD Binary-Image.

lh_binary_linux-image(1)
    kopiert linux-image in das Binary-Image.

lh_binary_local-includes(1)
    kopiert lokale Dateien in das Binary-Image.

lh_binary_manifest(1)
    erstellt die Paketliste des Root-Dateisystemes.

lh_binary_md5sum(1)
    erstellt md5sum.txt im Binary-Image.

lh_binary_memtest(1)
    kopiert ein memtest in das Binary-Image.

lh_binary_net(1)
    erstellt den Netboot Binary-Tarball.

lh_binary_rootfs(1)
    erstell das Root-Dateisystem.

lh_binary_syslinux(1)
    kopiert syslinux in das Binary-Image.

lh_binary_usb-hdd(1)
    erstellt das USB-hdd Binary-Image.

lh_binary_yaboot(1)
    kopiert yaboot in das Binary-Image.

lh_bootstrap(1)
    Meta-Helper für lh_bootstrap_*

lh_bootstrap_cdebootstrap(1)
    erstellt ein Debian-System mit cdebootstrap.

lh_bootstrap_debootstrap(1)
    erstellt ein Debian-System mit debootstrap.

lh_build(1)
    erstellen eines Live-Systemes

lh_chroot(1)
    Meta-Helper für lh_chroot_*

lh_chroot_apt(1)
    verwaltet /etc/apt/apt.conf.

lh_chroot_debianchroot(1)
    verwaltet /etc/debian_chroot.

lh_chroot_hacks(1)
    führt Hacks im chroot aus.

lh_chroot_hooks(1)
    führt Hooks im chroot aus.

lh_chroot_hosts(1)
    verwaltet /etc/hosts.

lh_chroot_interactive(1)
    macht Bauprozess interaktiv.

lh_chroot_linux-image(1)
    verwaltet /etc/kernel-img.conf.

lh_chroot_local-hooks(1)
    führt lokale Hooks im chroot aus.

lh_chroot_local-includes(1)
    kopiert lokale Dateien in den chroot.

lh_chroot_localization(1)
    installiert Lokalisierungspakete im chroot.

lh_chroot_local-packages(1)
    installiert lokale Pakete im chroot.

lh_chroot_local-packageslists(1)
    installiert lokale Paketlisten im chroot.

lh_chroot_packages(1)
    installiert Pakete im chroot.

lh_chroot_packageslists(1)
    installiert Paketlisten im chroot.

lh_chroot_proc(1)
    bindet /proc ein.

lh_chroot_resolv(1)
    verwaltet /etc/resolv.conf.

lh_chroot_sources(1)
    verwaltet /etc/apt/apt.conf.

lh_chroot_symlinks(1)
    konvertiert symbolische Links.

lh_chroot_sysfs(1)
    bindet /sys ein.

lh_chroot_sysvinit(1)
    konfiguriert sysvinit.

lh_chroot_sysvrc(1)
    verwaltet /usr/sbin/policy-rc.d.

lh_chroot_tasks(1)
    installiert Paket-Tasks im chroot.

lh_clean(1)
    räumt das Build-Verzeichnis auf

lh_config(1)
    erstellt eine Beispielkonfiguration

lh_losetup(1)
    verwaltet Loop-Geräte

lh_source(1)
    Meta-Helper für lh_source_*

lh_source_debian-live(1)
    kopiert debian-live Konfiguration in source.

lh_source_debian(1)
    lädt Paketquellen herunter.

lh_source_iso(1)
    erstellt CD/DVD Source-Image.

lh_source_md5sum(1)
    erstellt md5sum.txt im Source-Image.

lh_source_net(1)
    erstellt Netboot Source-Tarball.

lh_source_usb-hdd(1)
    erstellt USB-hdd Source-Tarball.

lh_testroot(1)
    stellt sicher dass das System als root gebaut wird.

LIVE-HELPER OPTIONEN
Die folgenden Kommandozeilenoptionen werden von allen live-helper-Programmen unterstützt.

--breakpoints
    Ausführung mit Breakpoints.

--conffile
    benutzen von eigenen Konfigurationsdateien.

--debug
    zeigt Debug Informationen.

--force
    erzwingt Helper Ausführung, auch wenn Stage-Datei existiert.

-h, --help
    zeigt Hilfe Informationen und stoppt.

--quiet
    still

-u, --usage
    zeigt Anwedungshinweise und stoppt.

--verbose
    gesprächig

-v, --version
    gibt Versionsinformationen aus und stoppt.

SIEHE AUCH
live-initramfs(7)

live-initscripts(7)

live-webhelper(7)

FEHLER
Fehler können gegen live-helper <http://packages.qa.debian.org/live-helper> gemeldet werden.

HOMEPAGE
Mehr Informationen über das Debian Live-Projekt können auf <http://debian-live.alioth.debian.org/> und <http://wiki.debian.org/DebianLive/> gefunden werden.

AUTOR
live-helper wurde von Daniel Baumann <daniel@debian.org> für das Debian-Projekt geschrieben.